package com.bizmatics.mhfire.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.mhfire.model.JcjZzclxx;
import com.bizmatics.mhfire.model.XfzWxz;
import com.bizmatics.mhfire.service.XfzWxzService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 消防站点
 * @author ya
 * @since 2021-11-23
 */
@RestController
@RequestMapping("/xfzWxz")
public class XfzWxzController {



    @Autowired
    private XfzWxzService xfzWxzService;


    /**
     * 分页
     * @param current 页数
     * @param size 条数
     * @return
     */
    @GetMapping("/page")
    public ApiResult<CommonPage<XfzWxz>> page(@RequestParam Integer current,
                                              @RequestParam Integer size){
        return ApiResult.success(xfzWxzService.page(current, size));
    }


    /**
     * get one
     * @param id id
     * @return
     */
    @GetMapping("/one")
    public ApiResult<List<JcjZzclxx>> getOne(@RequestParam String id){
        return ApiResult.success(xfzWxzService.getOne(id));
    }
}

