package com.bizmatics.mhfire.service;

import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.mhfire.model.FireSite;
import com.bizmatics.mhfire.model.FireSiteDetail;

import java.util.List;

/**
 * @author yq
 * @date 2021/5/28 15:30
 * 消防站信息
 */
public interface FireSiteService extends CrudService<FireSite> {


    /**
     * 分页
     * @return
     */
    CommonPage<FireSite> page(Integer current,Integer size);


    /**
     * get one
     * @param id
     * @return
     */
    List<FireSiteDetail> getOne(String id);


}
