package com.bizmatics.mhfire.service.impl;

import com.bizmatics.mhfire.model.CarPerson;
import com.bizmatics.mhfire.persistence.mapper.CarPersonMapper;
import com.bizmatics.mhfire.service.CarPersonService;
import com.bizmatics.common.mvc.base.AbstractCrudService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 车辆人员信息 服务实现类
 * </p>
 *
 * @author ya
 * @since 2021-11-19
 */
@Service
public class CarPersonServiceImpl extends AbstractCrudService<CarPersonMapper, CarPerson> implements CarPersonService {

    @Override
    public List<CarPerson> getByAjId(String ajId) {
        return baseMapper.selectByAjId(ajId);
    }
}
