package com.bizmatics.mhfire.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.common.mvc.base.AbstractCrudService;
import com.bizmatics.mhfire.model.JcjZzclxx;
import com.bizmatics.mhfire.model.XfzWxz;
import com.bizmatics.mhfire.persistence.mapper.XfzWxzMapper;
import com.bizmatics.mhfire.service.FireSiteDetailService;
import com.bizmatics.mhfire.service.JcjZzclxxService;
import com.bizmatics.mhfire.service.XfzWxzService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ya
 * @since 2021-11-23
 */
@Service
public class XfzWxzServiceImpl extends AbstractCrudService<XfzWxzMapper, XfzWxz> implements XfzWxzService {


    @Autowired
    private FireSiteDetailService fireSiteDetailService;

    @Autowired
    private JcjZzclxxService jcjZzclxxService;
    @Override
    public CommonPage<XfzWxz> page(Integer current, Integer size) {
        IPage<XfzWxz> page = new Page<>(current, size);
        LambdaQueryWrapper<XfzWxz> queryWrapper = Wrappers.lambdaQuery();
        page = this.page(page, queryWrapper);
        return this.ToCommonPage(page);
    }

    @Override
    public List<JcjZzclxx> getOne(String id) {
        LambdaQueryWrapper<JcjZzclxx> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(JcjZzclxx::getJgxxXfjgId,id);
        return jcjZzclxxService.list(queryWrapper);
    }
}
