package com.bizmatics.mhfire.model;

import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 车辆人员信息
 * </p>
 *
 * @author ya
 * @since 2021-11-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class CarPerson implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 职位名称
     */
    private String positionName;

    /**
     * 头像信息
     */
    private String photoUrl;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 岗位
     */
    private String squad;

    /**
     * 人员信息
     */
    private String name;

    /**
     * 车辆id
     */
    @TableField("clId")
    private String clId;


}
