package com.bizmatics.mhfire.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 处警记录
 * </p>
 *
 * @author ya
 * @since 2021-11-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class JcjCjjl implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 处警记录ID
     */
    @TableId("ID")
    private String id;

    /**
     * 案件信息ID
     */
    @TableField("JCJ_AJXX_ID")
    private String jcjAjxxId;

    /**
     * 处警编号
     */
    @TableField("CJBH")
    private String cjbh;

    /**
     * 原始案件编号
     */
    @TableField("YSANBH")
    private String ysanbh;

    /**
     * 处警开始时间
     */
    @TableField("CJKSSJ")
    private String cjkssj;

    /**
     * 处警结束时间
     */
    @TableField("CJJSSJ")
    private String cjjssj;

    /**
     * 时间戳
     */
    private String sjc;

    /**
     * 主管中队
     */
    private String zgzd;

    /**
     * 记录状态
     */
    private String jlzt;

    private Date created;

    private Date updated;


}
