package com.bizmatics.mhfire.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-11-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class XfzWxz implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Integer id;

    /**
     * 支队名称
     */
    @TableField("ZDMC")
    private String zdmc;

    /**
     * 所属辖区中队
     */
    @TableField("SSZD")
    private String sszd;

    /**
     * 消防站名称
     */
    @TableField("XFZMC")
    private String xfzmc;

    /**
     * 单位性质
     */
    @TableField("DWXZ")
    private String dwxz;

    /**
     * 地址
     */
    @TableField("DZ")
    private String dz;

    /**
     * 所在位置
     */
    @TableField("SZWZ")
    private String szwz;

    /**
     * 联动固定电话
     */
    @TableField("LDGDDH")
    private String ldgddh;

    /**
     * 负责人姓名
     */
    @TableField("FZRXM")
    private String fzrxm;

    /**
     * 负责人手机号码
     */
    @TableField("FZRSJHM")
    private String fzrsjhm;

    /**
     * 备注
     */
    @TableField("BZ")
    private String bz;

    /**
     * 消防站类型（1：微消站，2：专职站，3：重点微消站）
     */
    @TableField("XFZLX")
    private String xfzlx;

    /**
     * 经度
     */
    @TableField("JD")
    private BigDecimal jd;

    /**
     * 维度
     */
    @TableField("WD")
    private BigDecimal wd;

    /**
     * 创建时间
     */
    @TableField("CJSJ")
    private String cjsj;

    /**
     * 更新时间
     */
    @TableField("GXSJ")
    private String gxsj;

    /**
     * 支队id
     */
    @TableField("ZDID")
    private Integer zdid;

    /**
     * 中队id
     */
    @TableField("SSZDID")
    private Integer sszdid;

    /**
     * 编号
     */
    @TableField("NUMBERID")
    private String numberid;

    /**
     * 0:当天未拨 1：已拨未接 ,2 已拨接统 3已拨挂断
     */
    @TableField("CALLSTATUS")
    private Integer callstatus;

    /**
     * 1浦东 2 闵行
     */
    @TableField("FLAG")
    private Integer flag;

    /**
     * 点名时间段
     */
    @TableField("DMSJ")
    private String dmsj;

    /**
     * 原单位性质
     */
    @TableField("YDWXZ")
    private String ydwxz;


}
