package com.bizmatics.mhfire.service;

import com.bizmatics.mhfire.model.CarPerson;
import com.bizmatics.common.mvc.base.CrudService;

import java.util.List;

/**
 * <p>
 * 车辆人员信息 服务类
 * </p>
 *
 * @author ya
 * @since 2021-11-19
 */
public interface CarPersonService extends CrudService<CarPerson> {


    /**
     * 根据案件id查询车辆信息
     * @param ajId
     * @return
     */
    List<CarPerson> getByAjId(String ajId);
}
